from django.urls import path
from . import views, api

app_name = 'scanner'

urlpatterns =[
    # Pages Visuelles
    path('', views.WelcomeAgentView.as_view(), name='welcome'),
    path('actif/', views.ScannerActiveView.as_view(), name='active'),
    
    # Endpoint API (Interrogé par le JavaScript du scanner)
    path('api/verify/<uuid:uuid>/', api.verify_ticket_api, name='api_verify'),
]